Subject: bug#77666: Question/discussion about `trusted-content'

From: Dominik Schrempf <[email-masked]>
Date: Thu, 10 Apr 2025 12:31:59 +0200

Eli Zaretskii <[email-masked]> writes:

>
>> In your opinion, what is the reason of why we can not change such names?
>
> Because it works, and doesn't cause any problems, and because by now
> there are gobs of Lisp code that assumes this to be true.

Well, it caused problems to some of us at least.

>
>> Is this because (1) we do not have enough resources to change such
>> discrepancies in nomenclature, or (2) because we are not willing to
>> change nomenclature, or (3) we must ensure backwards compatibility?
>
> (3) mostly, but also: this is done for a reason.  Users are happier to
> see ~/foo in their file names and prompts than /home/whatever/foo.
> Emacs uses these abbreviated file names for that reason.
>
>> (I just grepped for "truename" in the Emacs repository and got 942 hits).
>>
>> Independently of what we can change or not, I think it is important to
>> reduce discrepancies in nomenclature. Thanks for hearing me out!
>
> Sure, so how about suggesting to the glibc developers that glibc
> renames the corresponding APIs to use "true" instead of "real"?

Haha, I think you'd have to do that, because I am favoring "real"!

Thanks again for the discussion!